{% load static %}
<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>profile</title>
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' %} " />
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>

<style>
.dropdown-menu {
position: static;
    float: none;
    background: #C1AB88;
}
</style>

<body>
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="logo" href="{% url 'homepage:index' %}">
                <img src="{% static 'img/logo1.png' %}" alt="" title="" />
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#expand">
                <span class="navbar-icon"><i class="fas fa-bars"></i></span>
            </button>
            <div class="collapse navbar-collapse" id="expand">

                <ul class="navbar-nav ml-auto">
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link dropdown-toggle list-menu" href="#" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Home
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Biodata">Biodata</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#About">AboutMe</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Roadmap">Education</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Experience">Experience</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Hobby</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Skill</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Contact">Contact</a> 
                        </div>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'homepage:gallery' %}">Gallery</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                            <a class="nav-link list-menu" href="{% url 'homepage:homeschedule' %}">Schedule</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                            <a class="nav-link list-menu" href="{% url 'story6:homekegiatan' %}">Activity</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story7:accordion' %}">Accordion</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story8:searchbook' %}">searchbook</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story9:login' %}">story9</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    {% block content %}

    {% endblock %}

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <script src="js/jquery.scroll.js"></script>
    <script>
        var $animation_elements = $('.animation-element');
        var $window = $(window);

        function check_if_in_view() {
            var window_height = $window.height();
            var window_top_position = $window.scrollTop();
            var window_bottom_position = (window_top_position + window_height);

            $.each($animation_elements, function () {
                var $element = $(this);
                var element_height = $element.outerHeight();
                var element_top_position = $element.offset().top;
                var element_bottom_position = (element_top_position + element_height);
                //check to see if this current container is within viewport
                if ((element_bottom_position >= window_top_position) &&
                    (element_top_position <= window_bottom_position)) {
                    $element.addClass('in-view');
                } else {
                    $element.removeClass('in-view');
                }
            });
        }

        $window.on('scroll resize', check_if_in_view);
        $window.trigger('scroll');
        var wind = $(window);
        // Navbar Scrolling background
        wind.on("scroll", function () {
            var bodyScroll = wind.scrollTop(),
                Navbar = $(".navbar");
            if (bodyScroll > 0) {
                Navbar.addClass("fixed");
            } else {
                Navbar.removeClass("fixed");
            }
        });
    </script>

</body>

</html>